Package org.h2gis.functions.spatial.create

## Class ST_GeneratePoints

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.create.ST_GeneratePoints

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_GeneratePoints
    extends org.h2gis.api.DeterministicScalarFunction

This function is used to generate pseudo-random points until the requested number are found within the input area (polygon or multipolygon)

Author:
  Erwan Bocher, CNRS

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_GeneratePoints()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `generatePoints​(org.locationtech.jts.geom.Geometry geom, int nPts)` Make the random points
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_GeneratePoints

    public ST_GeneratePoints()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### generatePoints

    public static org.locationtech.jts.geom.Geometry generatePoints​(org.locationtech.jts.geom.Geometry geom,
                                                                    int nPts)
                                                             throws SQLException

Make the random points

Parameters:
  `geom` - input geometry as polygon or multipolygon
  `nPts` - number of random points
Returns:
  random points
Throws:
  `SQLException`